Update Customer
curl --request PATCH \
--url https://api.{your-broker}.slate-labs.com/customers/{customer_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone": "<string>",
"country": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sales_status_id": 123
}
'import requests
url = "https://api.{your-broker}.slate-labs.com/customers/{customer_id}"
payload = {
"phone": "<string>",
"country": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sales_status_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone: '<string>',
country: '<string>',
owner_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sales_status_id: 123
})
};
fetch('https://api.{your-broker}.slate-labs.com/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"phone": "<string>",
"phone_normalized": "<string>",
"country": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sales_status_id": 123,
"kyc_status_id": 123,
"affiliate_id": "<string>",
"campaign_id": "<string>",
"funnel": "<string>",
"affiliate_lead_id": "<string>",
"manager_counter": 123,
"reg_time": "2023-11-07T05:31:56Z",
"last_login_at": "2023-11-07T05:31:56Z",
"last_activity_at": "2023-11-07T05:31:56Z",
"last_trade_at": "2023-11-07T05:31:56Z",
"ftd_at": "2023-11-07T05:31:56Z",
"is_deposited": true,
"is_active": true,
"first_name": "<string>",
"last_name": "<string>",
"full_name": "",
"ftd_sales_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"role_id": 123,
"role_name": "<string>"
},
"last_deposit_at": "2023-11-07T05:31:56Z",
"retention_status": "<string>",
"risk_classification": "normal",
"compliance_status": "<string>",
"phone_country": "<string>",
"kyc_country": "<string>",
"kyc_provider": "<string>",
"kyc_completed_at": "2023-11-07T05:31:56Z",
"reg_ip": "<string>",
"registration_source": "<string>",
"force_password_change": false,
"trading_accounts": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Customers
Update Customer
PATCH
/
customers
/
{customer_id}
Update Customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
For CRM agent updates — only fields agents are allowed to change.
NOTE: compliance_status and kyc_status_id are intentionally excluded. compliance_status can only be changed via dedicated compliance endpoints (freeze/unfreeze). kyc_status_id can only be changed via KYC verification processes.
Response
Successful Response
Slim user shape for embedding in CustomerResponse — avoids circular schemas.
Show child attributes
Show child attributes
Show child attributes
Show child attributes